#ifndef TARIFF_TIME_RANGE_H_INCLUDED
#define TARIFF_TIME_RANGE_H_INCLUDED

#include <QTime>

/// <summary>
/// Time range definition
/// </summary>
class TariffTimeRange {
    QTime m_time_from;
    QTime m_time_until;

public:

    TariffTimeRange()
    : m_time_from(QTime())
    , m_time_until(QTime()) {}

    TariffTimeRange(QTime const& from, QTime const &until)
      : m_time_from(from)
      , m_time_until(until) {

    }

    void setTimeRange(QTime const& from, QTime const &until) {
        m_time_from = from;
        m_time_until = until;
    }

    QTime const &getTimeFrom() const { return m_time_from; }
    QTime const &getTimeUntil() const { return m_time_until; }
};

#endif // TARIFF_TIME_RANGE_H_INCLUDED
