#ifndef TIME_RANGE_HEADER_H_INCLUDED
#define TIME_RANGE_HEADER_H_INCLUDED

#include <QString>
#include <QDateTime>
#include <QDebug>
#include <QDebugStateSaver>

struct ATBTimeRange {
    int time_range_id;
    QTime time_range_from;
    QTime time_range_to;


    friend QDebug operator<<(QDebug debug, ATBTimeRange const &timeRange) {
        QDebugStateSaver saver(debug);

        debug.nospace()
            << "  time_range_id: " << timeRange.time_range_id << "\n"
            << "time_range_from: " << timeRange.time_range_from.toString(Qt::ISODate) << "\n"
            << "  time_range_to: " << timeRange.time_range_to.toString(Qt::ISODate) << "\n";

        return debug;
    }
};

#endif // TIME_RANGE_HEADER_H_INCLUDED
